org.apache.lucene.analysis.tokenattributes

## Class KeywordAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.KeywordAttributeImpl

- All Implemented Interfaces:
    Cloneable, KeywordAttribute, Attribute

      public final class KeywordAttributeImpl
      extends AttributeImpl
      implements KeywordAttribute

  Default implementation of `KeywordAttribute`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeywordAttributeImpl()` Initialize this attribute with the keyword value as false.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `isKeyword()` Returns `true` if the current token is a keyword, otherwise `false`
    `void` | `setKeyword(boolean isKeyword)` Marks the current token as keyword if set to `true`.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, reflectAsString, reflectWith`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeywordAttributeImpl

          public KeywordAttributeImpl()

      Initialize this attribute with the keyword value as false.

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### isKeyword

          public boolean isKeyword()

      Description copied from interface: `KeywordAttribute`
      Returns `true` if the current token is a keyword, otherwise `false`
      Specified by:
        `isKeyword` in interface `KeywordAttribute`
      Returns:
        `true` if the current token is a keyword, otherwise `false`
      See Also:
        `KeywordAttribute.setKeyword(boolean)`

    - #### setKeyword

          public void setKeyword(boolean isKeyword)

      Description copied from interface: `KeywordAttribute`
      Marks the current token as keyword if set to `true`.
      Specified by:
        `setKeyword` in interface `KeywordAttribute`
      Parameters:
        `isKeyword` - `true` if the current token is a keyword, otherwise `false`.
      See Also:
        `KeywordAttribute.isKeyword()`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.